Create SDK Client Secret

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API generates a sdkClientSecret to use with 🧩 Checkout Elements.

Most fields are optional so you can get started quickly and customize as your needs change!

👍

Next steps: Render the SDK component in your app

import { CheckoutWithCard } from "@paperxyz/react-client-sdk";
  
<CheckoutWithCard
  sdkClientSecret='eyJh...'
  onPaymentSuccess={...}
/>
Body Params
string
required
Defaults to f5b49e5b-2027-44c8-892c-911a17dffbea

The ID of your registered contract. This is not your contract's blockchain address.

string
required
Defaults to 0xF99faF695964eF3f5E2474FFC391b618DCb390c7

The buyer's wallet address.

string
Defaults to Mumbai Example

A title for this checkout that is shown on the credit card statement and post-purchase email.

string

The buyer's verified email address.

int32
Defaults to 1

The quantity to purchase.

int32
Defaults to 15

The duration in minutes this checkout is valid for. Defaults to 15 minutes. Maximum is 43200 minutes (30 days).

json
Defaults to {}

Arbitrary data to attach to this transaction which is provided in webhook events and on the Developer Dashboard: Purchases page. Requirements: A flat JSON of primitive types values (string, boolean, numeric). Nested objects are not supported.

json

Required for thirdweb Edition Drop, thirdweb Signature contracts (Signature Drop or Edition with Signature), Solana Auction House, and Reservoir contract types. Optional for other contracts. (See the contractArgs page for details and examples).

json
Defaults to { "name": "claimTo", "args": { "_to": "$WALLET", "_quantity": "$QUANTITY", "_tokenId": 0 }, "payment": { "currency": "MATIC", "value": "0.001 * $QUANTITY" } }

Required for custom contracts. Remove this field if your contract type is not CUSTOM_CONTRACT. Details about your contract's method to purchase the NFT. See details.

eligibilityMethod
object

Optional, used only for custom contracts. Details about your smart contract's method to determine whether the buyer is eligible to purchase this NFT. See details.

string
enum
Defaults to BUYER

If SELLER, the developer sponsors network and service fees. _Requirement: You have topped up your Sponsored Fees balance on the Developer Dashboard: Developers page. Defaults to BUYER: the buyer pays all fees.

Allowed:
boolean
Defaults to true

If true, Paper will email the buyer when their NFT is delivered. Tip: You can customize this email!

boolean
Defaults to false

If true, creates a hold on the payment. The payment is not charged and the NFT is not delivered until you capture the transaction hold.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json